
package edu.uwec.cs.wickmr.life.singleton;

import java.util.List;
/*
 * 
 * This class represents the Alive state in the game of life.
 */
public class DeadState extends CellState {
	// TODO: C3 - Initialize static instance variable in the DeadState class.
	// Instructions:
	//   1. Set "instance" to null.

	protected static DeadState instance;

	// TODO: C4 - Implement a private default constructor in the DeadState class.
	// Instructions:
	//   1. Write a private default constructor with an empty body.
	
	public static DeadState create(){
		if ( instance == null ){
			instance = new DeadState();
		}
		return instance;
	}
	
	//	Defines the behavior of a dead state coming to life.
	public CellState live(){
		// TODO: C5 - Modify live() method in the DeadState class.
		// Instructions:
		//   1. Write a single return statement that returns the result of calling the static "create()" 
		//         method of the AliveState class.
		return null;
	}
	//	Defines the bahavior of a dead state response to the isAlive question.
	public boolean isAlive(){
		return false;
	}
	//	Defines the toggle behavior for a dead state.
	public CellState toggle(){
		return live();
	}
	
	public void addToLiveNeighbors(List liveNeighbors){
		// Don't add yourself as you are dead.
	}
}
