package edu.uwec.cs.wickmr.life.zfinished;
import java.util.*;

public abstract class LifeVisitor {
	public void visit(Cell cell, GameOfLife game, List commands){
		cell.accept(this, game, commands);
	}
	public abstract void visitLiveCell(Cell cell, GameOfLife game, List commands);
	public abstract void visitDeadCell(Cell cell, GameOfLife game, List commands);
}
