
package edu.uwec.cs.wickmr.life.visitor;

/*
 * This class serves as the top-level class for all command objects in 
 * our life program.
 */
public abstract class LifeCommand {
	protected Cell cell;
	
	// Build a LifeCommand saving the specified receiver (cell).
	public LifeCommand(Cell cell){
		this.cell = cell;
	}
	
	// Send the saved request (live or die) to the receiver (cell).
	public abstract void execute();

}
