package edu.uwec.cs.wickmr.life.visitor;

import java.util.List;

public class OriginalLifeVisitor extends LifeVisitor {
	public void visitLiveCell(Cell cell, GameOfLife game, List commands){
		int n = cell.nbrOfNeighbors(game);
		if ( n != 2 && n != 3){
			commands.add( new DieCommand(cell));
		}
	}
	public void visitDeadCell(Cell cell, GameOfLife game, List commands){
		// TODO: E6 - Implement the "visitDeadCell(Cell,GameOfLife,List)" method in the OriginalLifeVisitor class.
		// Instructions:
		//   1. Replace the "// Add new LiveCommand" comment with code to add a 
		//        new instance of LiveCommand(Cell) to the "commands" list.
		int n = cell.nbrOfNeighbors(game);
		if ( n == 3 ){
			// Add new LiveCommand
		}
	}
}
